/*
 		 _____           __
 	 __ / / _ \___ _____/ /  ___
 	/ // / ___/ _ `/ __/ _ \/ -_)
 	\___/_/   \_,_/\__/_//_/\__/

 	copyright (c) 2017, Jan Pache
 */

body {
	background: #533872;
	color: #fff;
	font-family: Verdana, sans-serif;
}

form {
	position: relative;
	width: 100%;
	max-width: 600px;
	margin: 20% auto;
}

form label {
	font-size: 32px;
	letter-spacing: 1px;
}

form input {
	margin: 0 10px;
	padding: 8px 8px 6px;
	font-size: 20px;
	border: 0;
	color: #444;
}

/* --------- Tooltip Styles --------- */
.tooltip {
	position: relative;
	background: rgba(0, 0, 0, 0.3);
	padding: 5px 12px;
	border-radius: 100%;
	font-size: 20px;
	cursor: help;
}

.tooltip::before,
.tooltip::after {
	position: absolute;
	left: 50%;
	opacity: 0;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-ms-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}

.tooltip::before {
	content: '';
	border-width: 10px 8px 0 8px;
	border-style: solid;
	border-color: rgba(0, 0, 0, 0.3) transparent transparent transparent;
	margin-left: -8px;
	top: -20px;
}

.tooltip::after {
	content: attr(data-tooltip);
	background: rgba(0, 0, 0, 0.3);
	top: -20px;
	font-size: 14px;
	width: 300px;
	margin-left: -150px;
	padding: 14px;
	border-radius: 10px;
	color: #eeeeee;
	-webkit-transform: translateY(-100%);
	-moz-transform: translateY(-100%);
	-ms-transform: translateY(-100%);
	-o-transform: translateY(-100%);
	transform: translateY(-100%);
}

/* Hover effects */
.tooltip:hover::before,
.tooltip:hover::after {
	opacity: 1;
}